> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-10/v10-5-0.md).

# Version 10.5.0 Changelog (October 25, 2023)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 10.5.0.82956

Release Date: October 25, 2023

## Notes

This release of Apryse for Android brings the core PDF functionality inline with version 10.5.0 of the Apryse cross-platform APIs. More information can be found on What's new for cross-platform APIs. Most non-module related changes apply to Android.

## Features

* Prevent empty comment messages being sent using Collab
* New color attribute for collab comment post button: `replyEditorSendButtonDisabledColor`

## Fixed

* Fixed issue with free text rotation behavior on rotated pages
* Removed divider on quick menu if there are no elements in the first row
* Fixed an issue where Rotation icon not properly displayed when `useAutoResizeFreeText(true)` is enabled
* Fixed an issue where RichContent FreeText produces invalid XML
* Fixed an issue where RichContent FreeText produced on other platforms did not import properly through XFDF

## APIs

### PDFViewCtrlTools package

#### AnnotUtils

*new* static method: `boolean isSignatureField(Annot)`

*new* static method: `boolean updateAnnotOnMoveToNewPage(PDFViewCtrl, Annot, int, int, RectF, RectF, boolean)`

*new* static method: `void updateContentRectOnMove(PDFViewCtrl, Annot, int, int, RectF, RectF)`

*removed* static method: `void refreshAppearanceOnNewPage(PDFViewCtrl, Annot, int, int, RectF, RectF)`

*removed* static method: `void refreshLineAppearanceOnNewPage(PDFViewCtrl, Annot, int, int, RectF, RectF)`

*removed* static method: `void refreshPolyAppearanceOnNewPage(PDFViewCtrl, Annot, int, int, RectF, RectF)`

#### PdfViewCtrlTabsManager

*new* synchronized method: `void updateDocumentOrder(Context, List<String>)`

#### PressureInkUtils

*new* static method: `void updateInkPointsOnMoveToNewPage(PDFViewCtrl, Annot, int, int, RectF, RectF)`

*removed* static method: `boolean refreshAppearanceOnNewPage(PDFViewCtrl, Annot, int, int, RectF, RectF)`

#### ViewerUtils

*new* static method: `Bitmap getImageBitmap(Context, Uri, String)`

### PDFVIewCtrlDemo Package

#### FileManager

*new* static method: `boolean performMerge(Context, ArrayList<FileInfo>, HashMap<String, String>, FileInfo, boolean)`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-10/v10-5-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
